QGIS Application - Bug report #2746
QGIS quits reponding when trying to add stops in color ramp
2010-05-24 11:26 AM - rcline -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 12806
Description

Using the Style Manager, | am trying to create a stop in a gradient color ramp. With Multiple stops selected, | click the Add stop button and
the color dialog appears where | then select the color and click OK. The Offset of the stop dialog appears. Whether | click Cancel or OK,
QGIS no longer responds to mouse clicks when the dialog closes. At this point | must kill QGIS.

Tested with QGIS dev builds r13385 and r13519 from [[KyngChaos]] using OS X 10.6.3.

History

#1 - 2010-05-30 08:50 AM - Martin Dobias

I'm unable to reproduce it on linux.

#2 - 2010-05-30 05:33 PM - rcline -

Martin Dobias also reported on the developer list that he is unable to reproduce under Linux.

When either the Cancel or OK button in the Offset of the stop dialog is clicked, CPU usage jumps to 100% of 1 core and memory usage starts to climb.

#3 - 2011-03-07 08:29 AM - William Kyngesburye
- Resolution set to duplicate

- Status changed from Open to Closed

duplicate #3497. Closing this one as useful comments are in newer bug.
